Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.extension
Class ExtensionSet

    java.lang.Object
      |
      +--org.apache.tools.ant.ProjectComponent
            |
            +--org.apache.tools.ant.types.DataType
                  |
                  +--org.apache.tools.ant.taskdefs.optional.extension.ExtensionSet

public class ExtensionSet
extends DataType

The Extension set lists a set of "Optional Packages" / "Extensions".

Field Summary

Fields inherited from class org.apache.tools.ant.types.DataType
`checked, description, ref`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`ExtensionSet()`

Method Summary
`void` | `addExtension(ExtensionAdapter extensionAdapter)` Adds an extension that this library requires.
`void` | `addFileset(FileSet fileSet)` Adds a set of files about which extensions data will be extracted.
`void` | `addLibfileset(LibFileSet fileSet)` Adds a set of files about which extensions data will be extracted.
`void` | `setRefid(Reference reference)` Makes this instance in effect a reference to another ExtensionSet instance.
`Extension[]` | `toExtensions(Project project)` Extract a set of Extension objects from the ExtensionSet.
`java.lang.String` | `toString()`

Methods inherited from class org.apache.tools.ant.types.DataType
`checkAttributesAllowed, checkChildrenAllowed, circularReference, dieOnCircularReference, getCheckedRef, getDescription, getRefid, isChecked, isReference, noChildrenAllowed, setChecked, setDescription, tooManyAttributes`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, log, log, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExtensionSet

    public ExtensionSet()

Method Detail

### addExtension

    public void addExtension(ExtensionAdapter extensionAdapter)

  Adds an extension that this library requires.

  Parameters:
    `extensionAdapter` - an extension that this library requires.

### addLibfileset

    public void addLibfileset(LibFileSet fileSet)

  Adds a set of files about which extensions data will be extracted.

  Parameters:
    `fileSet` - a set of files about which extensions data will be extracted.

### addFileset

    public void addFileset(FileSet fileSet)

  Adds a set of files about which extensions data will be extracted.

  Parameters:
    `fileSet` - a set of files about which extensions data will be extracted.

### toExtensions

    public Extension[] toExtensions(Project project)
                             throws BuildException

  Extract a set of Extension objects from the ExtensionSet.

  Parameters:
    `project` - the project instance.
  Returns:
    an array containing the Extensions from this set
  Throws:
    `BuildException` - if an error occurs

### setRefid

    public void setRefid(Reference reference)
                  throws BuildException

  Makes this instance in effect a reference to another ExtensionSet instance.

  You must not set another attribute or nest elements inside this element if you make it a reference.

  Overrides:
    `setRefid` in class `DataType`
  Parameters:
    `reference` - the reference to which this instance is associated
  Throws:
    `BuildException` - if this instance already has been configured.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`
  See Also:
    `Object.toString()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.